Subject: Re: [PATCH] kdump: Fix for machine checkstop on DMA fault

From: Olof Johansson <[email-masked]>
Date: Wed, 22 Mar 2006 23:38:54 -0600

On Wed, Mar 22, 2006 at 08:30:26PM -0800, Haren Myneni wrote:
> Paul, If you are OK with this fix, please send it upstream.
> 
> Thanks
> Haren
> 
> - Some machines checkstop on dma protection fault for ongoing DMA left 
> in the first kernel. Since, we do not shutdown devices before the kdump 
> boot, let them continue DMA to old kernel space.

How is this solved for regular kexec, doesn't the same problem exist
there?

-Olof